import { TapConfigSchema } from '@iotize/device-admin.js';
import { Tree } from '@angular-devkit/schematics/src/tree/interface';
import { Location } from "@schematics/angular/utility/parse-name";
import { SchematicContext } from '@angular-devkit/schematics';
import { Project } from './project';
import { TapAppGeneratorSchema } from '../schema/appconfig';
export * from './util';
export * from './tap-config-parser';
export * from './template-helpers';
export * from './shell';
export declare const TAP_CONFIG_FILEPATH = ".iotize/tapconfig.json";
export declare const APP_CONFIG_FILEPATH = ".iotize/appconfig.json";
export declare const IOTIZE_STUDIO_CONFIG_FILEPATH = ".iotize/iotize-studio-config.iotz";
export declare class MissingAppConfigKey extends Error {
    constructor(key: string);
}
export declare function loadProject(tree: Tree, _context: SchematicContext): Project;
export declare function updateTapConfig(tree: Tree, cb: (data: TapConfigSchema) => void): void;
export declare function updateAppConfig(tree: Tree, cb: (data: TapAppGeneratorSchema) => void): void;
export declare function getJsonFileContent<T>(tree: Tree, filepath: string): T;
export declare function writeJsonFile(tree: Tree, filepath: string, content: Object): void;
export declare function loadTapConfigFromFilePath(tapConfigFile: string): TapConfigSchema;
export declare function hasAngularProject(tree: Tree, _options: {
    project?: string;
}): boolean;
export declare function getDefaultAngularProject(tree: Tree): string;
export declare function getAngularConfig(tree: Tree): any;
export declare function getAngularProject(tree: Tree, _options: {
    project?: string;
}): any;
export declare function getAngularProjectPath(name: string, tree: Tree, _options: {
    project?: string;
}): Location;
